Method: metadataStores.delete

Full name: projects.locations.metadataStores.delete

Deletes a single MetadataStore and all its child resources (Artifacts, Executions, and Contexts).

Endpoint

delete https://{service-endpoint}/v1/{name}

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The resource name of the MetadataStore to delete. Format: projects/{project}/locations/{location}/metadataStores/{metadatastore}

Query parameters

force
(deprecated)
boolean

Deprecated: Field is no longer supported.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

IAM Permissions

Requires the following IAM permission on the name resource:

  • aiplatform.metadataStores.delete

For more information, see the IAM documentation.